> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goteal.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List API Keys



## OpenAPI

````yaml GET /api-keys
openapi: 3.0.1
info:
  title: Payroll API
  description: A full flagged payroll api provided by Teal
  version: 1.0.0
servers:
  - url: https://api.sandbox.goteal.co
    description: Sandbox server for experiments
  - url: https://api.goteal.co
    description: Production server
security:
  - ApiKeyAuth: []
  - MemberBearerAuth: []
paths:
  /api-keys:
    description: >-
      API keys provide programmatic access to the API. You can have up to 3
      active API keys at any time.
    get:
      summary: List all active API keys.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApiKey'
        '401':
          $ref: '#/components/responses/UnauthorizedApiKey'
components:
  schemas:
    ApiKey:
      type: object
      required:
        - id
        - name
        - created_at
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the API key
          example: 550e8400-e29b-41d4-a716-446655440000
        name:
          type: string
          description: Human-readable name for the API key
          example: Backend service key
        secret:
          type: string
          nullable: true
          description: >-
            The API key secret. Only returned when creating a key, null for list
            operations.
          example: null
        created_at:
          type: string
          format: date-time
          description: When the API key was created
          example: '2019-05-17T00:00:00.000Z'
    Unauthorized:
      type: object
      properties:
        errors:
          type: string
          description: An array of messages describing the errors
          example:
            - No X-API-KEY header provided or wrong value
  responses:
    UnauthorizedApiKey:
      description: Unauthorized if the X-API-KEY is not provided or is wrong
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    MemberBearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token for authentication. The token should be the one returned by
        the "/members/signin"

````